package nrs.jcards.io;

/*
 * JCards
 * Copyright (C) 2002-2004 Nick Sydenham <nsydenham@yahoo.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * XML tag names and attributes
 *
 * @author Copyright &#169; 2002-2004 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class Elements
{
	public static final String CALC = "calculation";
	public static final String CARD = "Card";
	public static final String CARDS = "Cards";
	public static final String CATEGORIES = "Categories";
	public static final String CATEGORY = "Category";
	public static final String CAT_ITEM = "categoryItem";
	public static final String COL_WIDTHS = "ColWidths";
	public static final String COUNTER = "counter";
	public static final String COUNTERS = "Counters";
	public static final String DATE_FORMAT = "dateFormat";
	public static final String DBDEF = "DBDef";
	public static final String DEFAULT = "default";
	public static final String DISPLAY_FIELD_NAMES = "displayFieldNames";
	public static final String FIELD = "field";
	public static final String FIELD_CAT = "category";
	public static final String FIELDS = "Fields";
	public static final String INCREMENT = "increment";
	public static final String INFO = "info";
	public static final String MANDATORY = "mandatory";
	public static final String MEMO_LINES = "memoLines";
	public static final String NAME = "name";
	public static final String PREPOPULATE_DATE = "prepopulateDate";
	public static final String SECOND_SORT_FIELD = "secondSortField";
	public static final String SETTINGS = "Settings";
	public static final String SORT_DIR = "sortDirection";
	public static final String SORT_FIELD = "sortField";
	public static final String TYPE = "type";
	public static final String VALUE = "value";
	public static final String VIS_FIELD = "visibleField";
	public static final String VIS_FIELDS = "VisibleFields";
	public static final String WIDTH = "width";
	
	private Elements() {}
}
